MONGOC_BULK_OPERATION_SET_COMMENT(3)

NAME
mongoc_bulk_operation_set_comment - mongoc_bulk_operation_set_comment()

SYNOPSIS

void
mongoc_bulk_operation_set_comment (
   mongoc_bulk_operation_t *bulk, const bson_value_t *comment);

PARAMETERS

•   bulk: A mongoc_bulk_operation_t.

•   comment: A bson_value_t specifying the comment to associate with this bulk write.

DESCRIPTION

Assigns a comment to attach to all commands executed as part of this bulk. The comment will appear in log messages, profiler output, and currentOp output. Comments for write commands are only supported by MongoDB 4.4+.

It is prohibited to call this function after adding operations to the bulk.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc